## tuxrun-0.35.2.tar.gz

=== Makefile ===
export PROJECT := tuxrun
export TUXPKG_MIN_COVERAGE := 97

check: typecheck test spellcheck stylecheck

include $(shell tuxpkg get-makefile)

.PHONY: htmlcov tags

htmlcov:
	python3 -m pytest --cov=tuxrun --cov-report=html

stylecheck: style flake8

spellcheck:
	codespell \
		--check-filenames \
		--skip '.git,public,dist,*.sw*,*.pyc,tags,*.json,.coverage,htmlcov,*.jinja2,*.yaml'

integration:
	python3 test/integration.py

doc: docs/index.md
	mkdocs build

docs/index.md: README.md scripts/readme2index.sh
	scripts/readme2index.sh $@

doc-serve:
	mkdocs serve

flit = flit
publish-pypi:
	$(flit) publish

tags:
	ctags -R tuxrun/ test/

=== share/fvp/Makefile ===
LAVA_IMAGE ?= ""
RUNTIME ?= "podman"

aemva_version ?= "11.20_15"
morello_version ?= "0.11_34"

container_aemva_version = $(shell echo $(aemva_version)|sed -e 's|_|.|g')
container_morello_version = $(shell echo $(morello_version)|sed -e 's|_|.|g')

.PHONE: build

build: fvp fvp-aemva fvp-morello

fvp: Dockerfile
	@if [ "$(LAVA_IMAGE)" = "" ]; then $(RUNTIME) build --tag tuxrun:fvp . ; else $(RUNTIME) build --build-arg image="$(LAVA_IMAGE)" --tag tuxrun:fvp . ;fi

fvp-aemva: aemva/Dockerfile
	cd aemva && $(RUNTIME) build --build-arg version=$(aemva_version) --tag fvp:aemva-$(container_aemva_version) .

fvp-morello: morello/Dockerfile
	cd morello && $(RUNTIME) build --build-arg version=$(morello_version) --tag fvp:morello-$(container_morello_version) .

clean:
	$(RUNTIME) image rm tuxrun:fvp fvp:aemva-$(container_aemva_version) fvp:morello-$(container_morello_version)

=== debian/changelog ===
tuxrun (0.35.2-1) UNRELEASED; urgency=medium

  * Initial release

 -- Antonio Terceiro <antonio.terceiro@linaro.org>  Fri, 15 Oct 2021 15:58:26 -0300

=== debian/control ===
Source: tuxrun
Maintainer: Antonio Terceiro <antonio.terceiro@linaro.org>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-python,
               flit,
               git,
               python3-all,
               python3-requests,
               python3-jinja2,
               python3-pip,
               python3-yaml,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
Standards-Version: 4.6.0.1
Homepage: https://tuxrun.org/

Package: tuxrun
Architecture: all
Depends: python3 (>= 3.6),
         python3-requests,
         python3-jinja2,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: command line tool for testing Linux with curated test suites
 TuxRun, is a command line tool for testing Linux on QEMU or FVP, using curated
 test suites.  TuxRun is a part of TuxSuite, a suite of tools and services to
 help with Linux kernel development.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = tuxrun

export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = test/
export LC_ALL = C.UTF-8

# Support non-flit builds - requires setup.py to be present (which is the case
# in pypi release tarballs)
ifneq ($(shell pybuild --list-systems | grep flit),)
export PYBUILD_SYSTEM = flit
endif

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

# FIXME this should not be necessary with PYBUILD_TEST_PYTEST = 1 above
# but I can't get it to work for some reason.
override_dh_auto_test:
	for p in $$(py3versions --supported); do $$p -m pytest test/; done
